import { Action } from '@ngrx/store';
import { UserPreferences } from '@app/core/models/user-preferences';

export enum UserPreferencesActionTypes {
  UpdateUserPreferences = '[User Preferences] Update',
}

export enum NotificationActionTypes {
  DismissAlert = '[UI] Dismiss alert',
}

export class UpdateUserPreferences implements Action {
  public readonly type = UserPreferencesActionTypes.UpdateUserPreferences;
  constructor(public payload: Partial<UserPreferences>) {}
}

export class DismissAlert implements Action {
  public readonly type = NotificationActionTypes.DismissAlert;
  constructor(public payload: { key: string }) {}
}
